Subject: Re: snapshot of the new pim-sm spec is available

From: Bill Fenner <[email-masked]>
Date: Thu, 20 Jul 2000 16:03:51 -0700

The hash function ensures that the G->RP mapping is spread evenly among
equal-cost RP's -- this means that the prefix of these G-prefix joins is
most likely going to be the hash mask prefix.  A (*,*,RP) Join in a domain
with 3 RP's using the (vaguely) recommended hash mask prefix of 0xfffffffc
therefore maps to somewhere on the order of 22 million (*,G-Prefix) Joins.

  Bill

---

From: Pavlin Ivanov Radoslavov <[email-masked]>
Date: Thu, 20 Jul 2000 17:07:21 -0700

> therefore maps to somewhere on the order of 22 million (*,G-Prefix) Joins.

Ah, yes, then this seems to me a good technical reason to keep the
(*,*,RP) support. Because even if the recommended hash mask value is
modified to, say 16, instead of 30, this still means thousands
of control messages.

Pavlin